#!/bin/bash

if [ $# != 2 ] ; then
    echo >&2 "$0 program vstup.in"
    exit 1
fi

PROG="$1"
VSTUP="$2"
if [ "${PROG:0:1}" != / ] ; then
	PROG="./$PROG"
fi

T="$(mktemp -d)"
mkfifo $T/roura

$(dirname "$0")/testovac <$T/roura "$VSTUP" | "$PROG" >$T/roura

rm -rf "$T"
